---
layout: single
title:  "v1.19.0 is released"
date:   2024-01-18 00:23:08 +0000
excerpt: "ANNOUNCING Tahoe, the Least-Authority File Store, v1.19.0"
header:
  teaser: /assets/images/posts/release.jpg
---
The Tahoe-LAFS team is pleased to announce version 1.19.0 of
Tahoe-LAFS, an extremely reliable decentralized storage
system. Get it with "pip install tahoe-lafs", or download a
tarball here:

  [https://tahoe-lafs.org/downloads][download]

Tahoe-LAFS is the first distributed storage system to offer
"provider-independent security" — meaning that not even the
operators of your storage servers can read or alter your data
without your consent. Here is the one-page explanation of its
unique security and fault-tolerance properties:

  [https://tahoe-lafs.readthedocs.org/en/latest/about.html][about]

The previous stable release of Tahoe-LAFS was v1.18.0, released on
October 2, 2022. Major new features and changes in this release:

A new "Grid Manager" feature allows clients to specify any number of
parties whom they will use to limit which storage-server that client
talks to. See docs/managed-grid.rst for more.

The new HTTP-based "Great Black Swamp" protocol is now enabled
(replacing Foolscap). This allows integrators to start with their
favourite HTTP library (instead of implementing Foolscap first). Both
storage-servers and clients support this new protocol.

`tahoe run` will now exit if its stdin is closed (but accepts `--allow-stdin-close` now).

Mutables may be created with a pre-determined signature key; care must
be taken!

This release drops Python 3.7 support and adds Python 3.11 and 3.12
support. Several performance improvements have been made. Introducer
correctly listens on Tor or I2P. Debian 10 and Ubuntu 20.04 are no
longer tested.

Besides all this there have been dozens of other bug-fixes and
improvements.

Enjoy!

[Read the full announcement][more]

[download]: https://tahoe-lafs.org/downloads
[about]: https://tahoe-lafs.readthedocs.org/en/latest/about.html
[more]: https://lists.tahoe-lafs.org/pipermail/tahoe-dev/2024-January/010064.html
